/*
 * Copyright 2007-2009 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.laxser.blitz.web.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 用 {@link Pattern} 标注在控制器的方法参数上，表示其解析模式。
 * <p>
 * 如用于时间参数解析，可以使用 @Pattern("MM/dd/yyyy")来解析"03/12/2010"的字符串!
 * 
 * 
 * @author laxser  Date 2012-4-5 下午3:07:00
@contact [duqifan@gmail.com]
@Pattern.java

 * 
 */
@Target( { ElementType.PARAMETER })
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface Pattern {

    /**
     * 
     * @return
     */
    String[] value();

}
